.TH "mca_bml_base_endpoint_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_bml_base_endpoint_t \- Structure associated w/ ompi_proc_t that contains the set of BTLs used to reach a destinationation.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <bml.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "mca_pml_proc_t \fBsuper\fP"
.br
.ti -1c
.RI "ompi_proc_t * \fBbtl_proc\fP"
.br
.RI "\fIback-pointer to ompi_proc_t \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBbtl_lock\fP"
.br
.RI "\fIlock to protect against concurrent access \fP"
.ti -1c
.RI "int \fBbtl_flags\fP"
.br
.RI "\fIprefered method of accessing this peer \fP"
.ti -1c
.RI "size_t \fBbtl_rdma_offset\fP"
.br
.RI "\fImax of min rdma size for available rmda btls \fP"
.ti -1c
.RI "\fBmca_bml_base_btl_array_t\fP \fBbtl_eager\fP"
.br
.RI "\fIarray of btls to use for first fragments \fP"
.ti -1c
.RI "\fBmca_bml_base_btl_array_t\fP \fBbtl_send\fP"
.br
.RI "\fIarray of btls to use for remaining fragments \fP"
.ti -1c
.RI "\fBmca_bml_base_btl_array_t\fP \fBbtl_rdma\fP"
.br
.RI "\fIarray of btls that support (prefer) rdma \fP"
.in -1c
.SH "Detailed Description"
.PP 
Structure associated w/ ompi_proc_t that contains the set of BTLs used to reach a destinationation. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
